import { FoundationElement } from '@ni/fast-foundation';
import '@ni/nimble-components/dist/esm/button';
import '@ni/nimble-components/dist/esm/icons/cog';
declare global {
    interface HTMLElementTagNameMap {
        'ok-fv-summary-panel': FvSummaryPanel;
    }
}
/**
 * A layout container for summary tiles with an optional edit-items affordance.
 */
export declare class FvSummaryPanel extends FoundationElement {
    showEditItemsButton: boolean;
    legacyStyle: boolean;
    editItemsButtonLabel: string;
    /** @internal */
    connectedCallback(): void;
    /** @internal */
    legacyStyleChanged(): void;
    /** @internal */
    handleEditItemsClick(): void;
    /** @internal */
    handleItemsSlotChange(): void;
    private syncTileLegacyStyle;
}
export declare const fvSummaryPanelTag = "ok-fv-summary-panel";
